Subject: Apache/ASP/Perl probleme w/ NetBSD 1.5 Packages
To: None <,,,>
From: Samuel Lellouche <>
List: tech-net
Date: 03/28/2001 13:54:05

I installed a NetbSD 1.5 w/ the following packages:

emacs-20.7          GNU editing macros (editor)
tcsh-6.10.00        Extended C-shell with many useful features
perl-5.6.0          Practical Extraction and Report Language
apache-     The Apache web server (
perl-base-5.6.0     base installation of Perl
p5-CGI-2.74         perl5 module for writing forms-based CGI programs
p5-HTML-Parser-3.10 perl5 module to parse HTML text documents
p5-Devel-Peek-1.0001 perl5 module containing a data debugging tool for
XS programmers
p5-Data-Dumper-2.101 perl5 module for stringified perl data structures
p5-Devel-DProf-19990108 perl5 module for profiling perl programs
p5-Digest-MD5-2.12  Perl5 extension interface for various message digest
p5-URI-1.10         Perl5 class to represent Uniform Resource Identifier
(URI, RFC 2396)
p5-MIME-Base64-2.11 perl5 module for Base64 and Quoted-Printable
p5-Net-1.0703       perl5 modules to access and use network protocols
p5-HTML-Tagset-3.03 perl5 module of data tables useful in parsing HTML
p5-libwww-5.50      perl5 library for WWW access
libperl-5.6.0nb1    PERL core library and DynaLoader as a shared object
gdbm-1.8.0          The GNU database manager
php-4.0.4           PHP4: Hypertext Preprocessor
ap-php-4.0.4nb1     PHP4: Hypertext Preprocessor (Apache module)
ap-perl-1.24        Module that embeds a Perl interpreter into Apache
p5-MLDBM-2.00       perl5 module for storing arbitrary data in tied
p5-Devel-Symdump-2.00 perl5 module for inspecting perl's symtable/class
p5-Apache-ASP-0.05  perl5/Apache module of Perl-coded Active Server
eperl-2.2.14        Interpreter/preprocessor for Perl embedded in text
p5-Apache-ePerl-2.2.14 perl5/Apache module of an ePerl text parser
audit-packages-1.3  tools to show vulnerabilities in installed packages
ap-Embperl-1.2.0    perl5 library for embedding perl in HTML documents

And i can't get the perl/ASP pages to work....

I put:

LoadModule perl_module lib/httpd/
AddModule mod_perl.c


<Location /test>    
  SetHandler perl-script
  PerlHandler Apache::ASP
  PerlSetVar Global /tmp
  Options FollowSymLinks        

In the config httpd.conf and here is the message i get when i try to
load a page w/
"#!/usr/pkg/bin/perl asp" in the header, and which is in the /test

[Wed Mar 28 14:44:03 2001] [error] Can't load
'/usr/pkg/lib/perl5/5.6.0/i386-netbsd/auto/SDBM_File/' for
module SDBM_File:
Undefined symbol "PL_op" (reloc type = 6, symnum = 32) at
/usr/pkg/lib/perl5/5.6.0/i386-netbsd/ line 73 during global
 at /usr/pkg/lib/perl5/5.6.0/i386-netbsd/ line 11
Compilation failed in require at
/usr/pkg/lib/perl5/site_perl/5.6.0/Apache/ line 35 during global
BEGIN failed--compilation aborted at
/usr/pkg/lib/perl5/site_perl/5.6.0/Apache/ line 35 during global
Compilation failed in require at (eval 13) line 3 during global

[Wed Mar 28 14:44:03 2001] [error] Undefined subroutine
&Apache::ASP::handler called during global destruction.

The symbol PL_op is in wich is in 

Its a i386 NetBSD 1.5 w/ GENERIC kernel.

I dont really understand why it is isnt working..

Anyone got a clue ?

Thanx Alot.

PS: when I try to launch from the shell a .pl file which Uses the same
perl modules it works....